Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001754TestLinkInternal issuepublic2008-09-29 17:492009-01-20 05:19
Reportermhavlat 
Assigned Tomhavlat 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 RC 3 
Summary0001754: Environment check in extra page
DescriptionImplement a new page like tl_info.php
This page should execute checking similar or enhanced checking
- directory writable/ files readable (expecially config_db + custom_config)
- php settings
- database connection (both TL + BTS)
- there could be also some database counters (number of records in users, projects, etc.)

In addition there should be a button to clean-up template_c/ directory. (It's interesting for automated test of migration script).
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0004204)
fman (administrator)
2008-09-29 20:58

as usual my suggestion is give a look to mantis check page
(0005052)
mhavlat (reporter)
2009-01-19 23:50

Created a new page sysinfo.php. Reused installer code (moved to configCheck.php). Updated installer layout.

- Issue History
Date Modified Username Field Change
2008-09-29 17:49 mhavlat New Issue
2008-09-29 20:58 fman Note Added: 0004204
2009-01-19 23:48 mhavlat Status new => assigned
2009-01-19 23:48 mhavlat Assigned To => mhavlat
2009-01-19 23:50 mhavlat Status assigned => resolved
2009-01-19 23:50 mhavlat Fixed in Version => next development 1.8 RC3
2009-01-19 23:50 mhavlat Resolution open => fixed
2009-01-19 23:50 mhavlat Note Added: 0005052
2009-01-20 05:19 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker